> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt
> - Beta: https://developer.deel.com/api/beta/llms.txt
> - Deprecated: https://developer.deel.com/api/deprecated/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve Employee Time Off Data for Offboarding

GET https://api.letsdeel.com/rest/eor/contracts/{contract_id}/offboarding/time-offs

Returns the time off the employee on a contract has already taken and has scheduled, which is the time off information an offboarding request asks for. Use it while preparing an offboarding request so that information can be completed.

 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-offboarding/get-contract-offboarding-time-offs

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — The unique identifier of the employee contract.

### Query parameters

- `end_date` (string, optional) — Desired end date for offboarding

## Response

### 200

Successfully retrieved used time off information

- `data` (EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

Forbidden

- `errors` (list of EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaData

- `contract_id` (string, required) — The unique identifier of the employee contract
- `entitlements` (list of EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataEntitlementsItems, required) — List of entitlement periods sorted by tracking period (descending)
- `tracking_type` (enum, required) — The time off tracking type
  - Allowed values: `OFF_PLATFORM`, `ON_PLATFORM`
- `policy_settings` (EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataPolicySettings, required) — Policy configuration settings for time off calculations
- `upcoming_time_offs` (list of EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataUpcomingTimeOffsItems, required) — List of upcoming time off requests
- `has_external_integration` (boolean, required) — Whether the contract has external integration
- `remaining_balance` (double, optional, nullable) — Remaining time off balance

### EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Error code of the handler which produced the returned error
- `field` (string, optional) — The field name where error occurred (null for server errors)
- `message` (string, optional) — Description of the returned error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataEntitlementsItems

- `id` (string, required) — The entitlement ID
- `used` (double, required) — Amount of time off used in this period
- `requests` (integer, required) — Number of time off requests in this period
- `created_at` (string, required) — When the entitlement was created
- `updated_at` (string, required) — When the entitlement was updated
- `tracking_period` (string, required) — The tracking period start date
- `entitlement_unit` (enum, required) — Unit of time measurement
  - Allowed values: `BUSINESS_DAY`, `CALENDAR_DAY`, `HOUR`, `WEEK`, `MONTH`, `YEAR`
- `tracking_period_end_date` (string, required) — The tracking period end date

### EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataPolicySettings

Policy configuration settings for time off calculations

- `entitlement_unit` (string, required) — The entitlement unit for the policy
- `is_accrued_days_available` (boolean, required) — Whether accrued days are available
- `is_estimated_payout_available` (boolean, required) — Whether estimated payout is available

### EorContractsContractIdOffboardingTimeOffsGetResponsesContentApplicationJsonSchemaDataUpcomingTimeOffsItems

- `id` (string, required) — Time off request ID
- `amount` (double, required) — Amount of time off requested
- `status` (string, required) — Status of the time off request
- `end_date` (string, required) — End date of the time off
- `created_at` (string, required) — When the time off request was created
- `start_date` (string, required) — Start date of the time off
- `updated_at` (string, required) — When the time off request was updated
- `approved_at` (string, required) — When the time off was approved
- `requested_at` (string, required) — When the time off was requested

## Examples

**Response**

```json
{
  "data": {
    "contract_id": "r78nrqi",
    "entitlements": [
      {
        "id": "aa3b5309-7f99-4417-b082-17aff902ddb5",
        "used": 13,
        "requests": 1,
        "created_at": "2025-09-11T00:00:00.000Z",
        "updated_at": "2025-09-11T00:00:00.000Z",
        "tracking_period": "2025-03-14",
        "entitlement_unit": "CALENDAR_DAY",
        "tracking_period_end_date": "2026-03-13"
      }
    ],
    "tracking_type": "ON_PLATFORM",
    "policy_settings": {
      "entitlement_unit": "CALENDAR_DAY",
      "is_accrued_days_available": true,
      "is_estimated_payout_available": true
    },
    "upcoming_time_offs": [
      {
        "id": "aa3b5309-7f99-4417-b082-17aff902ddb5",
        "amount": 13,
        "status": "APPROVED",
        "end_date": "2025-12-28T00:00:00Z",
        "created_at": "2025-09-11T00:00:00.000Z",
        "start_date": "2025-12-08T00:00:00Z",
        "updated_at": "2025-09-11T00:00:00.000Z",
        "approved_at": "2025-08-13T00:00:00.000Z",
        "requested_at": "2025-08-13T00:00:00.000Z"
      }
    ],
    "has_external_integration": true,
    "remaining_balance": 36.49
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/contracts/5B74FnLM/offboarding/time-offs"

querystring = {"end_date":"2025-10-20"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/contracts/5B74FnLM/offboarding/time-offs?end_date=2025-10-20")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```